Package fr.gouv.vitam.functionaltest.cucumber.step

# Class LogbookStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.LogbookStep

public class LogbookStep extends CommonStep
step defining logbook behaviors

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `download_logbook_lifecycle_object_for_unit(String unitTitle)`
  `void`
  `download_logbook_lifecycle_unit(String unitTitle)`
  `void`
  `download_logbook_operation()`
  `void`
  `the_final_logbook_event_has_message(String field, String message)`
  `void`
  `the_logbook_has_not_the_status(String status)`
  Check if logbook does not contains given status
  `void`
  `the_logbook_operation_has_a_status(String status)`
  check on logbook if the global status is OK (status of the last event, if last event is correct)
  `void`
  `the_logbook_operation_is_consistent()`
  Check logbook operation consistency : no double evId, same evProcType, evId = evProcId for master, max status level is in the last event
  `void`
  `the_outcome_detail_is(String eventName, String eventOutDetail)`
  `void`
  `the_results_are(String eventName, String eventResults)`
  check if the outcome detail is valid for an event type according to logbook
  `void`
  `the_status_are(String eventNamesStr, String eventStatus)`
  check if the status is valid for a list of event type according to logbook

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookStep

    public LogbookStep(World world)

- ## Method Details

  - ### download_logbook_operation

    @When("^je recherche le journal des op\u00e9rations") public void download_logbook_operation()

  - ### download_logbook_lifecycle_unit

    @When("^je recherche le JCV de l\'unit\u00e9 archivistique dont le titre est (.*)") public void download_logbook_lifecycle_unit(String unitTitle)

  - ### download_logbook_lifecycle_object_for_unit

    @When("^je recherche le JCV du groupe d\'objet de l\'unit\u00e9 archivistique dont le titre est (.*)") public void download_logbook_lifecycle_object_for_unit(String unitTitle)

  - ### the_logbook_operation_has_a_status

    @Then("^le statut final du journal des op\u00e9rations est (.*)$") public void the_logbook_operation_has_a_status(String status) throws VitamClientException
    check on logbook if the global status is OK (status of the last event, if last event is correct)
    Parameters:
      `status` - expected status
    Throws:
      `VitamClientException` - VitamClientException

  - ### the_final_logbook_event_has_message

    @Then("^le champ \'(.*)\' de l\'\u00e9venement final est : (.*)$") public void the_final_logbook_event_has_message(String field, String message) throws VitamClientException, InvalidParseOperationException
    Throws:
      `VitamClientException`
      `InvalidParseOperationException`

  - ### the_logbook_operation_is_consistent

    @Then("^le journal des op\u00e9rations est coh\u00e9rent$") public void the_logbook_operation_is_consistent() throws VitamClientException
    Check logbook operation consistency : no double evId, same evProcType, evId = evProcId for master, max status level is in the last event
    Throws:
      `VitamClientException`

  - ### the_logbook_has_not_the_status

    @Then("^le journal ne contient pas de statut (.*)$") public void the_logbook_has_not_the_status(String status) throws VitamClientException
    Check if logbook does not contains given status
    Parameters:
      `status` - forbidden status
    Throws:
      `VitamClientException` - VitamClientException

  - ### the_outcome_detail_is

    @Then("^l\'outcome d\u00e9tail de l\'\u00e9v\u00e9nement (.*) est (.*)$") public void the_outcome_detail_is(String eventName, String eventOutDetail) throws Throwable
    Throws:
      `Throwable`

  - ### the_status_are

    @Then("^le[s]? statut[s]? (?:de l\'\u00e9v\u00e9nement|des \u00e9v\u00e9nements) (.*) (?:est|sont) (.*)$") public void the_status_are(String eventNamesStr, String eventStatus) throws VitamClientException, InvalidParseOperationException
    check if the status is valid for a list of event type according to logbook
    Parameters:
      `eventNamesStr` - list of event
      `eventStatus` - status of event
    Throws:
      `VitamClientException`
      `InvalidParseOperationException`

  - ### the_results_are

    @Then("^le r\u00e9sultat de l\'\u00e9v\u00e9nement (.*) est (.*)$") public void the_results_are(String eventName, String eventResults) throws VitamClientException, InvalidParseOperationException
    check if the outcome detail is valid for an event type according to logbook
    Parameters:
      `eventName` - the event
      `eventResults` - outcome detail of the event
    Throws:
      `VitamClientException`
      `InvalidParseOperationException`